version: '3.3'

services:
  obsidian:
    container_name: ${CONTAINER_NAME}
    image: lscr.io/linuxserver/obsidian:latest
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=${TIMEZONE}
    ports:
      - "${PORT_HTTP}:3000"     
      - "${PORT_HTTPS}:3001"
    volumes:
      - ${HOME_DIR}/${CONTAINER_NAME}:/config
    env_file:
      - path: ./obsidian.env
        required: true
      - path: ../global.env
        required: true
    restart: unless-stopped